package org.project.item.weapons;

import org.project.entity.Entity;
import java.util.ArrayList;

public class Sword extends Weapon {
    private int abilityCharge;

    public Sword() {
        // فراخوانی سازنده کلاس والد (Weapon) با آسیب ۱۵ و مانا کاست ۰
        super(15, 0);
        this.abilityCharge = 0;
    }

    // این متد مربوط به بخش امتیازی است و بدون تغییر باقی می‌ماند
    public void uniqueAbility(ArrayList<Entity> targets) {
        abilityCharge += 2;
        for (Entity target : targets) {
            target.takeDamage(getDamage());
        }
    }
}